API Reference
API Reference

/candidates/:id/comments

Creates a comment on the candidate's timeline. Required scope: w_candidates or w_comments. Accessible with all token types.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is a list of fields that can be provided for the comment object:

keytypedescription
body (required)stringThe comment's text
policystringThis sets the view rights of the comment. See below
attachmentobjectThis can include an attachment for the comment to be created.Note: only one attachment may be created per comment through this API

The attachment field should have 2 attributes:

keytypedescription
name (required)stringThe filename of the attachment
data (required)stringThe payload of the attachment, encoded in base64

Comment Policy

Comment policy defines the visibility of the new comment. There are 6 categories for members: admin (includes all access), recruiting_admin, hiring_manager, simple (standard members), reviewer and recruiter. The comments are always visible to admins. Depending on the values provided in this array you can have more fine grained visibility settings. The following table displays the possible outcomes:

Field ValueRecruiterReviewerSimpleHiring ManagerRecruiting AdminAdmin
[]✔️
["admin"]✔️
["recruiter", "admin"]✔️✔️
["recruiting_admin", "admin"]✔️✔️
["recruiter","recruiting_admin", "admin"]✔️✔️✔️
["hiring_manager","recruiting_admin", "admin"]✔️✔️✔️
["recruiter","hiring_manager","recruiting_admin", "admin"]✔️✔️✔️✔️
["simple","hiring_manager","recruiting_admin", "admin"]✔️✔️✔️✔️
["reviewer","simple","hiring_manager","recruiting_admin", "admin"]✔️✔️✔️✔️✔️
["reviewer","simple","hiring_manager","recruiting_admin", "admin"]✔️✔️✔️✔️✔️
["recruiter","reviewer","simple","hiring_manager","recruiting_admin", "admin"]✔️✔️✔️✔️✔️✔️

A complete request would be:

{
	"member_id": "3247e8c7",
  "comment": {
    "body": "He is really good",
    "policy": ["recruiter","admin"],
    "attachment": {
      "name": "tiny.gif",
      "data": "R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs="
    }
  }
}

The mapping between the values and the names of the collaboration roles in Workable is the following:

admin corresponds to Admin. recruiting_admin corresponds to Recruiter. hiring_manager corresponds to Hiring Manager. simple corresponds to Hiring Contributor. reviewer corresponds to Candidate Reviewer. recruiter corresponds to External Recruiter.

Path Params
string
required

The candidate's id

Body Params
string
required
json
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json